ESD-CONFIG(1)

NAME
esd-config - The Enlightened Sound Daemon

DESCRIPTION
esd-config is a tool that is used to configure to determine the compiler and linker flags that should be used to compile and link programs that use EsounD. It is also used internally to the .m4 macros for GNU autoconf that are included with EsounD.

USAGE
esd-config [--prefix[=DIR]] [--exec-prefix[=DIR]] [--version] [--libs] [--cflags]

--version Print the currently installed version of EsounD on the standard output.

--libs Print the linker flags that are necessary to link an EsounD program.

--cflags Print the compiler flags that are necessary to compile an EsounD program.

--prefix=PREFIX If specified, use PREFIX instead of the installation prefix that EsounD was built with when computing the output for the --cflags and --libs options. This option is also used for the exec prefix if --exec-prefix was not specified. This option must be specified before any --libs or --cflags options.

--exec-prefix=PREFIX If specified, use PREFIX instead of the installation exec prefix that EsounD was built with when computing the output for the --cflags and --libs options. This option must be specified before any --libs or --cflags options.

SEE ALSO
esd(1), esdcat(1), esddsp(1), esdloop(1), esdplay(1), esdsample(1), esdctl(1), esdfilt(1), esdmon(1), esdrec(1)